org.apache.poi.sl.usermodel

## Enum ShapeType

- java.lang.Object
- - java.lang.Enum<ShapeType>
  - - org.apache.poi.sl.usermodel.ShapeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ShapeType>

      public enum ShapeType
      extends java.lang.Enum<ShapeType>

  known preset shape geometries in PresentationML

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCENT_BORDER_CALLOUT_1`
    `ACCENT_BORDER_CALLOUT_2`
    `ACCENT_BORDER_CALLOUT_3`
    `ACCENT_BORDER_CALLOUT_90`
    `ACCENT_CALLOUT_1`
    `ACCENT_CALLOUT_2`
    `ACCENT_CALLOUT_3`
    `ACCENT_CALLOUT_90`
    `ACTION_BUTTON_BACK_PREVIOUS`
    `ACTION_BUTTON_BEGINNING`
    `ACTION_BUTTON_BLANK`
    `ACTION_BUTTON_DOCUMENT`
    `ACTION_BUTTON_END`
    `ACTION_BUTTON_FORWARD_NEXT`
    `ACTION_BUTTON_HELP`
    `ACTION_BUTTON_HOME`
    `ACTION_BUTTON_INFORMATION`
    `ACTION_BUTTON_MOVIE`
    `ACTION_BUTTON_RETURN`
    `ACTION_BUTTON_SOUND`
    `ARC`
    `BALLOON`
    `BENT_ARROW`
    `BENT_CONNECTOR_2`
    `BENT_CONNECTOR_3`
    `BENT_CONNECTOR_4`
    `BENT_CONNECTOR_5`
    `BENT_UP_ARROW`
    `BEVEL`
    `BLOCK_ARC`
    `BORDER_CALLOUT_1`
    `BORDER_CALLOUT_2`
    `BORDER_CALLOUT_3`
    `BORDER_CALLOUT_90`
    `BRACE_PAIR`
    `BRACKET_PAIR`
    `CALLOUT_1`
    `CALLOUT_2`
    `CALLOUT_3`
    `CALLOUT_90`
    `CAN`
    `CHART_PLUS`
    `CHART_STAR`
    `CHART_X`
    `CHEVRON`
    `CHORD`
    `CIRCULAR_ARROW`
    `CLOUD`
    `CLOUD_CALLOUT`
    `CORNER`
    `CORNER_TABS`
    `CUBE`
    `CURVED_CONNECTOR_2`
    `CURVED_CONNECTOR_3`
    `CURVED_CONNECTOR_4`
    `CURVED_CONNECTOR_5`
    `CURVED_DOWN_ARROW`
    `CURVED_LEFT_ARROW`
    `CURVED_RIGHT_ARROW`
    `CURVED_UP_ARROW`
    `DECAGON`
    `DIAG_STRIPE`
    `DIAMOND`
    `DODECAGON`
    `DONUT`
    `DOUBLE_WAVE`
    `DOWN_ARROW`
    `DOWN_ARROW_CALLOUT`
    `ELLIPSE`
    `ELLIPSE_RIBBON`
    `ELLIPSE_RIBBON_2`
    `FLOW_CHART_ALTERNATE_PROCESS`
    `FLOW_CHART_COLLATE`
    `FLOW_CHART_CONNECTOR`
    `FLOW_CHART_DECISION`
    `FLOW_CHART_DELAY`
    `FLOW_CHART_DISPLAY`
    `FLOW_CHART_DOCUMENT`
    `FLOW_CHART_EXTRACT`
    `FLOW_CHART_INPUT_OUTPUT`
    `FLOW_CHART_INTERNAL_STORAGE`
    `FLOW_CHART_MAGNETIC_DISK`
    `FLOW_CHART_MAGNETIC_DRUM`
    `FLOW_CHART_MAGNETIC_TAPE`
    `FLOW_CHART_MANUAL_INPUT`
    `FLOW_CHART_MANUAL_OPERATION`
    `FLOW_CHART_MERGE`
    `FLOW_CHART_MULTIDOCUMENT`
    `FLOW_CHART_OFFLINE_STORAGE`
    `FLOW_CHART_OFFPAGE_CONNECTOR`
    `FLOW_CHART_ONLINE_STORAGE`
    `FLOW_CHART_OR`
    `FLOW_CHART_PREDEFINED_PROCESS`
    `FLOW_CHART_PREPARATION`
    `FLOW_CHART_PROCESS`
    `FLOW_CHART_PUNCHED_CARD`
    `FLOW_CHART_PUNCHED_TAPE`
    `FLOW_CHART_SORT`
    `FLOW_CHART_SUMMING_JUNCTION`
    `FLOW_CHART_TERMINATOR`
    `FOLDED_CORNER`
    `FRAME`
    `FUNNEL`
    `GEAR_6`
    `GEAR_9`
    `HALF_FRAME`
    `HEART`
    `HEPTAGON`
    `HEXAGON`
    `HOME_PLATE`
    `HORIZONTAL_SCROLL`
    `HOST_CONTROL`
    `IRREGULAR_SEAL_1`
    `IRREGULAR_SEAL_2`
    `LEFT_ARROW`
    `LEFT_ARROW_CALLOUT`
    `LEFT_BRACE`
    `LEFT_BRACKET`
    `LEFT_CIRCULAR_ARROW`
    `LEFT_RIGHT_ARROW`
    `LEFT_RIGHT_ARROW_CALLOUT`
    `LEFT_RIGHT_CIRCULAR_ARROW`
    `LEFT_RIGHT_RIBBON`
    `LEFT_RIGHT_UP_ARROW`
    `LEFT_UP_ARROW`
    `LIGHTNING_BOLT`
    `LINE`
    `LINE_INV`
    `MATH_DIVIDE`
    `MATH_EQUAL`
    `MATH_MINUS`
    `MATH_MULTIPLY`
    `MATH_NOT_EQUAL`
    `MATH_PLUS`
    `MOON`
    `NO_SMOKING`
    `NON_ISOSCELES_TRAPEZOID`
    `NOT_PRIMITIVE`
    `NOTCHED_CIRCULAR_ARROW`
    `NOTCHED_RIGHT_ARROW`
    `OCTAGON`
    `PARALLELOGRAM`
    `PENTAGON`
    `PIE`
    `PIE_WEDGE`
    `PLAQUE`
    `PLAQUE_TABS`
    `PLUS`
    `QUAD_ARROW`
    `QUAD_ARROW_CALLOUT`
    `RECT`
    `RIBBON`
    `RIBBON_2`
    `RIGHT_ARROW`
    `RIGHT_ARROW_CALLOUT`
    `RIGHT_BRACE`
    `RIGHT_BRACKET`
    `ROUND_1_RECT`
    `ROUND_2_DIAG_RECT`
    `ROUND_2_SAME_RECT`
    `ROUND_RECT`
    `RT_TRIANGLE`
    `SEAL`
    `SMILEY_FACE`
    `SNIP_1_RECT`
    `SNIP_2_DIAG_RECT`
    `SNIP_2_SAME_RECT`
    `SNIP_ROUND_RECT`
    `SQUARE_TABS`
    `STAR_10`
    `STAR_12`
    `STAR_16`
    `STAR_24`
    `STAR_32`
    `STAR_4`
    `STAR_5`
    `STAR_6`
    `STAR_7`
    `STAR_8`
    `STRAIGHT_CONNECTOR_1`
    `STRIPED_RIGHT_ARROW`
    `SUN`
    `SWOOSH_ARROW`
    `TEARDROP`
    `TEXT_ARCH_DOWN_CURVE`
    `TEXT_ARCH_DOWN_POUR`
    `TEXT_ARCH_UP_CURVE`
    `TEXT_ARCH_UP_POUR`
    `TEXT_BOX`
    `TEXT_BUTTON_CURVE`
    `TEXT_BUTTON_POUR`
    `TEXT_CAN_DOWN`
    `TEXT_CAN_UP`
    `TEXT_CASCADE_DOWN`
    `TEXT_CASCADE_UP`
    `TEXT_CHEVRON`
    `TEXT_CHEVRON_INVERTED`
    `TEXT_CIRCLE_CURVE`
    `TEXT_CIRCLE_POUR`
    `TEXT_CURVE`
    `TEXT_CURVE_DOWN`
    `TEXT_CURVE_UP`
    `TEXT_DEFLATE`
    `TEXT_DEFLATE_BOTTOM`
    `TEXT_DEFLATE_INFLATE`
    `TEXT_DEFLATE_INFLATE_DEFLATE`
    `TEXT_DEFLATE_TOP`
    `TEXT_FADE_DOWN`
    `TEXT_FADE_LEFT`
    `TEXT_FADE_RIGHT`
    `TEXT_FADE_UP`
    `TEXT_HEXAGON`
    `TEXT_INFLATE`
    `TEXT_INFLATE_BOTTOM`
    `TEXT_INFLATE_TOP`
    `TEXT_OCTAGON`
    `TEXT_ON_CURVE`
    `TEXT_ON_RING`
    `TEXT_PLAIN_TEXT`
    `TEXT_RING`
    `TEXT_RING_INSIDE`
    `TEXT_RING_OUTSIDE`
    `TEXT_SIMPLE`
    `TEXT_SLANT_DOWN`
    `TEXT_SLANT_UP`
    `TEXT_STOP`
    `TEXT_TRIANGLE`
    `TEXT_TRIANGLE_INVERTED`
    `TEXT_WAVE`
    `TEXT_WAVE_1`
    `TEXT_WAVE_2`
    `TEXT_WAVE_3`
    `TEXT_WAVE_4`
    `THICK_ARROW`
    `TRAPEZOID`
    `TRIANGLE`
    `UP_ARROW`
    `UP_ARROW_CALLOUT`
    `UP_DOWN_ARROW`
    `UP_DOWN_ARROW_CALLOUT`
    `UTURN_ARROW`
    `VERTICAL_SCROLL`
    `WAVE`
    `WEDGE_ELLIPSE_CALLOUT`
    `WEDGE_RECT_CALLOUT`
    `WEDGE_ROUND_RECT_CALLOUT`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `nativeId` Preset-ID for binary-based shapes
    `java.lang.String` | `nativeName` POI-specific name for the binary-based type
    `int` | `ooxmlId` Preset-ID for XML-based shapes

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShapeType` | `forId(int id, boolean isOoxmlId)`
    `java.lang.String` | `getOoxmlName()` name of the presetShapeDefinit(i)on entry
    `static ShapeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ShapeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_PRIMITIVE

          public static final ShapeType NOT_PRIMITIVE

    - #### LINE

          public static final ShapeType LINE

    - #### LINE_INV

          public static final ShapeType LINE_INV

    - #### TRIANGLE

          public static final ShapeType TRIANGLE

    - #### RT_TRIANGLE

          public static final ShapeType RT_TRIANGLE

    - #### RECT

          public static final ShapeType RECT

    - #### DIAMOND

          public static final ShapeType DIAMOND

    - #### PARALLELOGRAM

          public static final ShapeType PARALLELOGRAM

    - #### TRAPEZOID

          public static final ShapeType TRAPEZOID

    - #### NON_ISOSCELES_TRAPEZOID

          public static final ShapeType NON_ISOSCELES_TRAPEZOID

    - #### PENTAGON

          public static final ShapeType PENTAGON

    - #### HEXAGON

          public static final ShapeType HEXAGON

    - #### HEPTAGON

          public static final ShapeType HEPTAGON

    - #### OCTAGON

          public static final ShapeType OCTAGON

    - #### DECAGON

          public static final ShapeType DECAGON

    - #### DODECAGON

          public static final ShapeType DODECAGON

    - #### STAR_4

          public static final ShapeType STAR_4

    - #### STAR_5

          public static final ShapeType STAR_5

    - #### STAR_6

          public static final ShapeType STAR_6

    - #### STAR_7

          public static final ShapeType STAR_7

    - #### STAR_8

          public static final ShapeType STAR_8

    - #### STAR_10

          public static final ShapeType STAR_10

    - #### STAR_12

          public static final ShapeType STAR_12

    - #### STAR_16

          public static final ShapeType STAR_16

    - #### SEAL

          public static final ShapeType SEAL

    - #### STAR_24

          public static final ShapeType STAR_24

    - #### STAR_32

          public static final ShapeType STAR_32

    - #### ROUND_RECT

          public static final ShapeType ROUND_RECT

    - #### ROUND_1_RECT

          public static final ShapeType ROUND_1_RECT

    - #### ROUND_2_SAME_RECT

          public static final ShapeType ROUND_2_SAME_RECT

    - #### ROUND_2_DIAG_RECT

          public static final ShapeType ROUND_2_DIAG_RECT

    - #### SNIP_ROUND_RECT

          public static final ShapeType SNIP_ROUND_RECT

    - #### SNIP_1_RECT

          public static final ShapeType SNIP_1_RECT

    - #### SNIP_2_SAME_RECT

          public static final ShapeType SNIP_2_SAME_RECT

    - #### SNIP_2_DIAG_RECT

          public static final ShapeType SNIP_2_DIAG_RECT

    - #### PLAQUE

          public static final ShapeType PLAQUE

    - #### ELLIPSE

          public static final ShapeType ELLIPSE

    - #### TEARDROP

          public static final ShapeType TEARDROP

    - #### HOME_PLATE

          public static final ShapeType HOME_PLATE

    - #### CHEVRON

          public static final ShapeType CHEVRON

    - #### PIE_WEDGE

          public static final ShapeType PIE_WEDGE

    - #### PIE

          public static final ShapeType PIE

    - #### BLOCK_ARC

          public static final ShapeType BLOCK_ARC

    - #### DONUT

          public static final ShapeType DONUT

    - #### NO_SMOKING

          public static final ShapeType NO_SMOKING

    - #### RIGHT_ARROW

          public static final ShapeType RIGHT_ARROW

    - #### LEFT_ARROW

          public static final ShapeType LEFT_ARROW

    - #### UP_ARROW

          public static final ShapeType UP_ARROW

    - #### DOWN_ARROW

          public static final ShapeType DOWN_ARROW

    - #### STRIPED_RIGHT_ARROW

          public static final ShapeType STRIPED_RIGHT_ARROW

    - #### NOTCHED_RIGHT_ARROW

          public static final ShapeType NOTCHED_RIGHT_ARROW

    - #### BENT_UP_ARROW

          public static final ShapeType BENT_UP_ARROW

    - #### LEFT_RIGHT_ARROW

          public static final ShapeType LEFT_RIGHT_ARROW

    - #### UP_DOWN_ARROW

          public static final ShapeType UP_DOWN_ARROW

    - #### LEFT_UP_ARROW

          public static final ShapeType LEFT_UP_ARROW

    - #### LEFT_RIGHT_UP_ARROW

          public static final ShapeType LEFT_RIGHT_UP_ARROW

    - #### QUAD_ARROW

          public static final ShapeType QUAD_ARROW

    - #### LEFT_ARROW_CALLOUT

          public static final ShapeType LEFT_ARROW_CALLOUT

    - #### RIGHT_ARROW_CALLOUT

          public static final ShapeType RIGHT_ARROW_CALLOUT

    - #### UP_ARROW_CALLOUT

          public static final ShapeType UP_ARROW_CALLOUT

    - #### DOWN_ARROW_CALLOUT

          public static final ShapeType DOWN_ARROW_CALLOUT

    - #### LEFT_RIGHT_ARROW_CALLOUT

          public static final ShapeType LEFT_RIGHT_ARROW_CALLOUT

    - #### UP_DOWN_ARROW_CALLOUT

          public static final ShapeType UP_DOWN_ARROW_CALLOUT

    - #### QUAD_ARROW_CALLOUT

          public static final ShapeType QUAD_ARROW_CALLOUT

    - #### BENT_ARROW

          public static final ShapeType BENT_ARROW

    - #### UTURN_ARROW

          public static final ShapeType UTURN_ARROW

    - #### CIRCULAR_ARROW

          public static final ShapeType CIRCULAR_ARROW

    - #### LEFT_CIRCULAR_ARROW

          public static final ShapeType LEFT_CIRCULAR_ARROW

    - #### LEFT_RIGHT_CIRCULAR_ARROW

          public static final ShapeType LEFT_RIGHT_CIRCULAR_ARROW

    - #### CURVED_RIGHT_ARROW

          public static final ShapeType CURVED_RIGHT_ARROW

    - #### CURVED_LEFT_ARROW

          public static final ShapeType CURVED_LEFT_ARROW

    - #### CURVED_UP_ARROW

          public static final ShapeType CURVED_UP_ARROW

    - #### CURVED_DOWN_ARROW

          public static final ShapeType CURVED_DOWN_ARROW

    - #### SWOOSH_ARROW

          public static final ShapeType SWOOSH_ARROW

    - #### CUBE

          public static final ShapeType CUBE

    - #### CAN

          public static final ShapeType CAN

    - #### LIGHTNING_BOLT

          public static final ShapeType LIGHTNING_BOLT

    - #### HEART

          public static final ShapeType HEART

    - #### SUN

          public static final ShapeType SUN

    - #### MOON

          public static final ShapeType MOON

    - #### SMILEY_FACE

          public static final ShapeType SMILEY_FACE

    - #### IRREGULAR_SEAL_1

          public static final ShapeType IRREGULAR_SEAL_1

    - #### IRREGULAR_SEAL_2

          public static final ShapeType IRREGULAR_SEAL_2

    - #### FOLDED_CORNER

          public static final ShapeType FOLDED_CORNER

    - #### BEVEL

          public static final ShapeType BEVEL

    - #### FRAME

          public static final ShapeType FRAME

    - #### HALF_FRAME

          public static final ShapeType HALF_FRAME

    - #### CORNER

          public static final ShapeType CORNER

    - #### DIAG_STRIPE

          public static final ShapeType DIAG_STRIPE

    - #### CHORD

          public static final ShapeType CHORD

    - #### ARC

          public static final ShapeType ARC

    - #### LEFT_BRACKET

          public static final ShapeType LEFT_BRACKET

    - #### RIGHT_BRACKET

          public static final ShapeType RIGHT_BRACKET

    - #### LEFT_BRACE

          public static final ShapeType LEFT_BRACE

    - #### RIGHT_BRACE

          public static final ShapeType RIGHT_BRACE

    - #### BRACKET_PAIR

          public static final ShapeType BRACKET_PAIR

    - #### BRACE_PAIR

          public static final ShapeType BRACE_PAIR

    - #### STRAIGHT_CONNECTOR_1

          public static final ShapeType STRAIGHT_CONNECTOR_1

    - #### BENT_CONNECTOR_2

          public static final ShapeType BENT_CONNECTOR_2

    - #### BENT_CONNECTOR_3

          public static final ShapeType BENT_CONNECTOR_3

    - #### BENT_CONNECTOR_4

          public static final ShapeType BENT_CONNECTOR_4

    - #### BENT_CONNECTOR_5

          public static final ShapeType BENT_CONNECTOR_5

    - #### CURVED_CONNECTOR_2

          public static final ShapeType CURVED_CONNECTOR_2

    - #### CURVED_CONNECTOR_3

          public static final ShapeType CURVED_CONNECTOR_3

    - #### CURVED_CONNECTOR_4

          public static final ShapeType CURVED_CONNECTOR_4

    - #### CURVED_CONNECTOR_5

          public static final ShapeType CURVED_CONNECTOR_5

    - #### CALLOUT_1

          public static final ShapeType CALLOUT_1

    - #### CALLOUT_2

          public static final ShapeType CALLOUT_2

    - #### CALLOUT_3

          public static final ShapeType CALLOUT_3

    - #### ACCENT_CALLOUT_1

          public static final ShapeType ACCENT_CALLOUT_1

    - #### ACCENT_CALLOUT_2

          public static final ShapeType ACCENT_CALLOUT_2

    - #### ACCENT_CALLOUT_3

          public static final ShapeType ACCENT_CALLOUT_3

    - #### BORDER_CALLOUT_1

          public static final ShapeType BORDER_CALLOUT_1

    - #### BORDER_CALLOUT_2

          public static final ShapeType BORDER_CALLOUT_2

    - #### BORDER_CALLOUT_3

          public static final ShapeType BORDER_CALLOUT_3

    - #### ACCENT_BORDER_CALLOUT_1

          public static final ShapeType ACCENT_BORDER_CALLOUT_1

    - #### ACCENT_BORDER_CALLOUT_2

          public static final ShapeType ACCENT_BORDER_CALLOUT_2

    - #### ACCENT_BORDER_CALLOUT_3

          public static final ShapeType ACCENT_BORDER_CALLOUT_3

    - #### WEDGE_RECT_CALLOUT

          public static final ShapeType WEDGE_RECT_CALLOUT

    - #### WEDGE_ROUND_RECT_CALLOUT

          public static final ShapeType WEDGE_ROUND_RECT_CALLOUT

    - #### WEDGE_ELLIPSE_CALLOUT

          public static final ShapeType WEDGE_ELLIPSE_CALLOUT

    - #### CLOUD_CALLOUT

          public static final ShapeType CLOUD_CALLOUT

    - #### CLOUD

          public static final ShapeType CLOUD

    - #### RIBBON

          public static final ShapeType RIBBON

    - #### RIBBON_2

          public static final ShapeType RIBBON_2

    - #### ELLIPSE_RIBBON

          public static final ShapeType ELLIPSE_RIBBON

    - #### ELLIPSE_RIBBON_2

          public static final ShapeType ELLIPSE_RIBBON_2

    - #### LEFT_RIGHT_RIBBON

          public static final ShapeType LEFT_RIGHT_RIBBON

    - #### VERTICAL_SCROLL

          public static final ShapeType VERTICAL_SCROLL

    - #### HORIZONTAL_SCROLL

          public static final ShapeType HORIZONTAL_SCROLL

    - #### WAVE

          public static final ShapeType WAVE

    - #### DOUBLE_WAVE

          public static final ShapeType DOUBLE_WAVE

    - #### PLUS

          public static final ShapeType PLUS

    - #### FLOW_CHART_PROCESS

          public static final ShapeType FLOW_CHART_PROCESS

    - #### FLOW_CHART_DECISION

          public static final ShapeType FLOW_CHART_DECISION

    - #### FLOW_CHART_INPUT_OUTPUT

          public static final ShapeType FLOW_CHART_INPUT_OUTPUT

    - #### FLOW_CHART_PREDEFINED_PROCESS

          public static final ShapeType FLOW_CHART_PREDEFINED_PROCESS

    - #### FLOW_CHART_INTERNAL_STORAGE

          public static final ShapeType FLOW_CHART_INTERNAL_STORAGE

    - #### FLOW_CHART_DOCUMENT

          public static final ShapeType FLOW_CHART_DOCUMENT

    - #### FLOW_CHART_MULTIDOCUMENT

          public static final ShapeType FLOW_CHART_MULTIDOCUMENT

    - #### FLOW_CHART_TERMINATOR

          public static final ShapeType FLOW_CHART_TERMINATOR

    - #### FLOW_CHART_PREPARATION

          public static final ShapeType FLOW_CHART_PREPARATION

    - #### FLOW_CHART_MANUAL_INPUT

          public static final ShapeType FLOW_CHART_MANUAL_INPUT

    - #### FLOW_CHART_MANUAL_OPERATION

          public static final ShapeType FLOW_CHART_MANUAL_OPERATION

    - #### FLOW_CHART_CONNECTOR

          public static final ShapeType FLOW_CHART_CONNECTOR

    - #### FLOW_CHART_PUNCHED_CARD

          public static final ShapeType FLOW_CHART_PUNCHED_CARD

    - #### FLOW_CHART_PUNCHED_TAPE

          public static final ShapeType FLOW_CHART_PUNCHED_TAPE

    - #### FLOW_CHART_SUMMING_JUNCTION

          public static final ShapeType FLOW_CHART_SUMMING_JUNCTION

    - #### FLOW_CHART_OR

          public static final ShapeType FLOW_CHART_OR

    - #### FLOW_CHART_COLLATE

          public static final ShapeType FLOW_CHART_COLLATE

    - #### FLOW_CHART_SORT

          public static final ShapeType FLOW_CHART_SORT

    - #### FLOW_CHART_EXTRACT

          public static final ShapeType FLOW_CHART_EXTRACT

    - #### FLOW_CHART_MERGE

          public static final ShapeType FLOW_CHART_MERGE

    - #### FLOW_CHART_OFFLINE_STORAGE

          public static final ShapeType FLOW_CHART_OFFLINE_STORAGE

    - #### FLOW_CHART_ONLINE_STORAGE

          public static final ShapeType FLOW_CHART_ONLINE_STORAGE

    - #### FLOW_CHART_MAGNETIC_TAPE

          public static final ShapeType FLOW_CHART_MAGNETIC_TAPE

    - #### FLOW_CHART_MAGNETIC_DISK

          public static final ShapeType FLOW_CHART_MAGNETIC_DISK

    - #### FLOW_CHART_MAGNETIC_DRUM

          public static final ShapeType FLOW_CHART_MAGNETIC_DRUM

    - #### FLOW_CHART_DISPLAY

          public static final ShapeType FLOW_CHART_DISPLAY

    - #### FLOW_CHART_DELAY

          public static final ShapeType FLOW_CHART_DELAY

    - #### FLOW_CHART_ALTERNATE_PROCESS

          public static final ShapeType FLOW_CHART_ALTERNATE_PROCESS

    - #### FLOW_CHART_OFFPAGE_CONNECTOR

          public static final ShapeType FLOW_CHART_OFFPAGE_CONNECTOR

    - #### ACTION_BUTTON_BLANK

          public static final ShapeType ACTION_BUTTON_BLANK

    - #### ACTION_BUTTON_HOME

          public static final ShapeType ACTION_BUTTON_HOME

    - #### ACTION_BUTTON_HELP

          public static final ShapeType ACTION_BUTTON_HELP

    - #### ACTION_BUTTON_INFORMATION

          public static final ShapeType ACTION_BUTTON_INFORMATION

    - #### ACTION_BUTTON_FORWARD_NEXT

          public static final ShapeType ACTION_BUTTON_FORWARD_NEXT

    - #### ACTION_BUTTON_BACK_PREVIOUS

          public static final ShapeType ACTION_BUTTON_BACK_PREVIOUS

    - #### ACTION_BUTTON_END

          public static final ShapeType ACTION_BUTTON_END

    - #### ACTION_BUTTON_BEGINNING

          public static final ShapeType ACTION_BUTTON_BEGINNING

    - #### ACTION_BUTTON_RETURN

          public static final ShapeType ACTION_BUTTON_RETURN

    - #### ACTION_BUTTON_DOCUMENT

          public static final ShapeType ACTION_BUTTON_DOCUMENT

    - #### ACTION_BUTTON_SOUND

          public static final ShapeType ACTION_BUTTON_SOUND

    - #### ACTION_BUTTON_MOVIE

          public static final ShapeType ACTION_BUTTON_MOVIE

    - #### GEAR_6

          public static final ShapeType GEAR_6

    - #### GEAR_9

          public static final ShapeType GEAR_9

    - #### FUNNEL

          public static final ShapeType FUNNEL

    - #### MATH_PLUS

          public static final ShapeType MATH_PLUS

    - #### MATH_MINUS

          public static final ShapeType MATH_MINUS

    - #### MATH_MULTIPLY

          public static final ShapeType MATH_MULTIPLY

    - #### MATH_DIVIDE

          public static final ShapeType MATH_DIVIDE

    - #### MATH_EQUAL

          public static final ShapeType MATH_EQUAL

    - #### MATH_NOT_EQUAL

          public static final ShapeType MATH_NOT_EQUAL

    - #### CORNER_TABS

          public static final ShapeType CORNER_TABS

    - #### SQUARE_TABS

          public static final ShapeType SQUARE_TABS

    - #### PLAQUE_TABS

          public static final ShapeType PLAQUE_TABS

    - #### CHART_X

          public static final ShapeType CHART_X

    - #### CHART_STAR

          public static final ShapeType CHART_STAR

    - #### CHART_PLUS

          public static final ShapeType CHART_PLUS

    - #### NOTCHED_CIRCULAR_ARROW

          public static final ShapeType NOTCHED_CIRCULAR_ARROW

    - #### THICK_ARROW

          public static final ShapeType THICK_ARROW

    - #### BALLOON

          public static final ShapeType BALLOON

    - #### TEXT_SIMPLE

          public static final ShapeType TEXT_SIMPLE

    - #### TEXT_OCTAGON

          public static final ShapeType TEXT_OCTAGON

    - #### TEXT_HEXAGON

          public static final ShapeType TEXT_HEXAGON

    - #### TEXT_CURVE

          public static final ShapeType TEXT_CURVE

    - #### TEXT_WAVE

          public static final ShapeType TEXT_WAVE

    - #### TEXT_RING

          public static final ShapeType TEXT_RING

    - #### TEXT_ON_CURVE

          public static final ShapeType TEXT_ON_CURVE

    - #### TEXT_ON_RING

          public static final ShapeType TEXT_ON_RING

    - #### TEXT_PLAIN_TEXT

          public static final ShapeType TEXT_PLAIN_TEXT

    - #### TEXT_STOP

          public static final ShapeType TEXT_STOP

    - #### TEXT_TRIANGLE

          public static final ShapeType TEXT_TRIANGLE

    - #### TEXT_TRIANGLE_INVERTED

          public static final ShapeType TEXT_TRIANGLE_INVERTED

    - #### TEXT_CHEVRON

          public static final ShapeType TEXT_CHEVRON

    - #### TEXT_CHEVRON_INVERTED

          public static final ShapeType TEXT_CHEVRON_INVERTED

    - #### TEXT_RING_INSIDE

          public static final ShapeType TEXT_RING_INSIDE

    - #### TEXT_RING_OUTSIDE

          public static final ShapeType TEXT_RING_OUTSIDE

    - #### TEXT_ARCH_UP_CURVE

          public static final ShapeType TEXT_ARCH_UP_CURVE

    - #### TEXT_ARCH_DOWN_CURVE

          public static final ShapeType TEXT_ARCH_DOWN_CURVE

    - #### TEXT_CIRCLE_CURVE

          public static final ShapeType TEXT_CIRCLE_CURVE

    - #### TEXT_BUTTON_CURVE

          public static final ShapeType TEXT_BUTTON_CURVE

    - #### TEXT_ARCH_UP_POUR

          public static final ShapeType TEXT_ARCH_UP_POUR

    - #### TEXT_ARCH_DOWN_POUR

          public static final ShapeType TEXT_ARCH_DOWN_POUR

    - #### TEXT_CIRCLE_POUR

          public static final ShapeType TEXT_CIRCLE_POUR

    - #### TEXT_BUTTON_POUR

          public static final ShapeType TEXT_BUTTON_POUR

    - #### TEXT_CURVE_UP

          public static final ShapeType TEXT_CURVE_UP

    - #### TEXT_CURVE_DOWN

          public static final ShapeType TEXT_CURVE_DOWN

    - #### TEXT_CASCADE_UP

          public static final ShapeType TEXT_CASCADE_UP

    - #### TEXT_CASCADE_DOWN

          public static final ShapeType TEXT_CASCADE_DOWN

    - #### TEXT_WAVE_1

          public static final ShapeType TEXT_WAVE_1

    - #### TEXT_WAVE_2

          public static final ShapeType TEXT_WAVE_2

    - #### TEXT_WAVE_3

          public static final ShapeType TEXT_WAVE_3

    - #### TEXT_WAVE_4

          public static final ShapeType TEXT_WAVE_4

    - #### TEXT_INFLATE

          public static final ShapeType TEXT_INFLATE

    - #### TEXT_DEFLATE

          public static final ShapeType TEXT_DEFLATE

    - #### TEXT_INFLATE_BOTTOM

          public static final ShapeType TEXT_INFLATE_BOTTOM

    - #### TEXT_DEFLATE_BOTTOM

          public static final ShapeType TEXT_DEFLATE_BOTTOM

    - #### TEXT_INFLATE_TOP

          public static final ShapeType TEXT_INFLATE_TOP

    - #### TEXT_DEFLATE_TOP

          public static final ShapeType TEXT_DEFLATE_TOP

    - #### TEXT_DEFLATE_INFLATE

          public static final ShapeType TEXT_DEFLATE_INFLATE

    - #### TEXT_DEFLATE_INFLATE_DEFLATE

          public static final ShapeType TEXT_DEFLATE_INFLATE_DEFLATE

    - #### TEXT_FADE_RIGHT

          public static final ShapeType TEXT_FADE_RIGHT

    - #### TEXT_FADE_LEFT

          public static final ShapeType TEXT_FADE_LEFT

    - #### TEXT_FADE_UP

          public static final ShapeType TEXT_FADE_UP

    - #### TEXT_FADE_DOWN

          public static final ShapeType TEXT_FADE_DOWN

    - #### TEXT_SLANT_UP

          public static final ShapeType TEXT_SLANT_UP

    - #### TEXT_SLANT_DOWN

          public static final ShapeType TEXT_SLANT_DOWN

    - #### TEXT_CAN_UP

          public static final ShapeType TEXT_CAN_UP

    - #### TEXT_CAN_DOWN

          public static final ShapeType TEXT_CAN_DOWN

    - #### CALLOUT_90

          public static final ShapeType CALLOUT_90

    - #### ACCENT_CALLOUT_90

          public static final ShapeType ACCENT_CALLOUT_90

    - #### BORDER_CALLOUT_90

          public static final ShapeType BORDER_CALLOUT_90

    - #### ACCENT_BORDER_CALLOUT_90

          public static final ShapeType ACCENT_BORDER_CALLOUT_90

    - #### HOST_CONTROL

          public static final ShapeType HOST_CONTROL

    - #### TEXT_BOX

          public static final ShapeType TEXT_BOX

  - ### Field Detail

    - #### ooxmlId

          public final int ooxmlId

      Preset-ID for XML-based shapes

    - #### nativeId

          public final int nativeId

      Preset-ID for binary-based shapes

    - #### nativeName

          public final java.lang.String nativeName

      POI-specific name for the binary-based type

  - ### Method Detail

    - #### values

          public static ShapeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShapeType c : ShapeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShapeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getOoxmlName

          public java.lang.String getOoxmlName()

      name of the presetShapeDefinit(i)on entry

    - #### forId

          public static ShapeType forId(int id,
                                        boolean isOoxmlId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.